<?php

namespace api\v2\account;

require_once (dirname(__FILE__) . '/../../../../includes/common.inc.php');

/**
 * Gets authorization information and permissions for a specific user
 */
class auth {
    public function get() {
        $response = [
            "nsp" => get_nagios_session_protector_id(),
            "username" => $_SESSION["username"],
            "isAdmin" => is_admin(),
            "isAuthorizedForMonitoringSystem" => is_authorized_for_monitoring_system(),
            "canConfigureObjects" => is_authorized_to_configure_objects() && !is_readonly_user(),
            "canAccessCCM" => user_can_access_ccm(),
            "canAutoDeploy" => user_has_permission('autodeploy_access'),
        ];
        return $response;
    }
}