<?php
//
//  Nagios XI 5 API v2
//  Copyright (c) 2015-2020 Nagios Enterprises, LLC. All rights reserved.
//

namespace api\v2;
use \Exception as Exception;

require_once(dirname(__FILE__) . '/../../includes/common.inc.php');
require_once(dirname(__FILE__) . '/endpoints/endpoints.php');

pre_init();
init_session(true);

grab_request_vars();
check_prereqs();
check_authentication(false, false, false, true);

header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, DELETE, PUT');

// Process API request
try {
    $api_base = get_base_url(false);
    $uri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
    $uri = str_replace($api_base, "", $uri);
    $class = str_replace("/", '\\', $uri);
    $request_method = strtolower($_SERVER['REQUEST_METHOD']);

    if(!class_exists($class)) {
        http_response_code(404);
        throw new Exception('Invalid Request');
    }
    if(!method_exists($class, $request_method)) {
        http_response_code(405);
        throw new Exception('Invalid Request Method');
    }
    $api = new $class;
    $response = $api->$request_method();
} catch (Exception $e) {
    $response = array('error' => $e->getMessage());
}

$response = json_encode($response);
echo $response;